spool e:\cocktail\Mangue\import_bx4\xml\enfants.xml
set heading off
set long 1000
set pagesize 0

PROMPT <?xml version="1.0" encoding="iso-8859-1" ?><IMPORT>
PROMPT <ENFANTS>

SELECT XMLElement("ENFANT",
			XMLFOREST(
				I.NO_INDIVIDU "ID_SOURCE",
				NO_ENFANT "ENF_SOURCE",
				E.NOM "NOM",
				E.PRENOM "PRENOM",
				E.D_NAISSANCE "D_NAISSANCE",
				LIEU_NAISSANCE "LIEU_NAISSANCE",
				DECODE(SEXE,'N','',1,'M',2,'F') "SEXE",
				NO_ORDRE_NAISSANCE "NO_ORDRE_NAISSANCE"))
   FROM INDIVIDU I, ENFANT E, PERSONNEL P, CODE_INSEE CI
   WHERE I.NO_INDIVIDU  = E.NO_DOSSIER_PERS
   AND I.NO_INDIVIDU = P.NO_DOSSIER_PERS
   AND CI.NO_DOSSIER_PERS = P.NO_DOSSIER_PERS;

PROMPT </ENFANTS>
PROMPT </IMPORT>

spool off